Chuyển đến nội dung
Diễn đàn CADViet

Doan Van Ha

Moderator
  • Số lượng nội dung

    5.862
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    398

Cộng đồng

3.039 (tuyệt vời)

About Doan Van Ha

  • Cấp bậc
    biết lệnh adcenter

Thông tin hồ sơ

  • Giới tính
    Male

Khách truy cập Tiểu sử gần đây

64.970 chế độ xem tiểu sử
  1. Doan Van Ha

    Xin xỏ lisp tạo và đổi tên Block

    Dấu (+ ; like) không bổ béo gì. Dấu (- ; dislike) cũng không ốm o thêm. Nhưng nó cũng "định giá" được tư cách hoặc đóng góp của cá nhân với cộng đồng.
  2. Cám ơn bạn! nhờ có cái của bạn post mà mình sửa và xài dc vào việc của mình.

    DRAD.lsp

  3. Tôi gặp trường hợp này mong các bạn chỉ giúp: Mở 1file CAD mới dùng lệnh Xr  rồi Attach file XR vào . Sau đó Zoom E lên thì vật thể nằm ở góc phải phía trên màn hình . Tôi đã dùng nhiều cách nhưng không khắc phục được:

         1)- Quét vùng trống ngoài vật thể XR  để tìm vật thể lạ nhưng không có.

         2)-Dùng lệnh Move đưa vật thể về gốc tọa độ.

         3)-Gõ lệnh Layon .

         4)-Ngay từ đầu chọn điểm chèn XR là tọa độ 0,0.

    Tất cả các cách trên đều không xủ lý được. Zoom E vẫn chỉ có vật thể nhỏ ở góc phải trên cùng.

    Xin cám ơn.

  4. Doan Van Ha

    Hỏi về hàm lisp

    Code này lấy height là height của style current
  5. Có thể do bạn cài autoload 1 file lisp nào đó. Tìm nó mà trị.
  6. Doan Van Ha

    góc giúp đỡ

    Cad không biết tính độ lún đâu.
  7. Doan Van Ha

    Nhờ kiểm tra lisp

    ;; Vẽ hình chữ nhật có chiều dày 20 (defun c:foo (/ p1 p2 p3 p4 p5 p6 p7 p8 os) (setq p1 (getpoint "\nChon point thu nhat") p3 (getpoint "\nChon point thu ba") p2 (list (car p3) (cadr p1)) p4 (list (car p1) (cadr p3)) ; p5 (list (car p1) (cadr p1) 20) p6 (list (car p2) (cadr p2) 20) p7 (list (car p3) (cadr p3) 20) p8 (list (car p4) (cadr p4) 20) ) ; (setq os (getvar "osmode")) (setvar "osmode" 0) (command vpoint "" 1,-1,1 "") (command ".3dface" p1 p2 p3 p4 "" ".3dface" p5 p6 p7 p8 "" ".3dface" p1 p4 p8 p5 "" ".3dface" p2 p3 p7 p6 "" ".3dface" p3 p4 p8 p7 "" ".3dface" p1 p2 p6 p5 "" ) (setvar "osmode" os) (command "zoom" "all") )
  8. Doan Van Ha

    Nhờ kiểm tra lisp

    Chắc bị osnap
  9. Doan Van Ha

    Sửa lỗi thanh Command

    Tình trạng trốn Covid nhiều lắm, có khi cả năm lận
  10. Doan Van Ha

    [ Hỏi Code Lisp add thêm giá trị vào Mtext]

    Sẵn bạn gởi bản vẽ (2007) để dễ test.
  11. Doan Van Ha

    [ Hỏi Code Lisp add thêm giá trị vào Mtext]

    Cách bá đạo là: bạn cứ add bằng cad rồi sau đó lấy entget rồi tìm cách xử bằng entmod.
  12. Doan Van Ha

    Help...Help....Nhờ các bác xử lý giúp!!!

    Tìm mấy cái lisp bạn đã cài autoload mà xử hoặc xóa.
  13. Doan Van Ha

    Nhờ quý cao nhân viết giùm lisp đo đường chéo của polyline

    Trúng quả đậm!
  14. Doan Van Ha

    Lỗi phông chữ autocad

    Gửi bản vẽ lên chứ không lẻ sửa trên cái hình này?
  15. Doan Van Ha

    xin lips cad

    Tha hồ trên này mà không chịu tìm! Th
×